<template>
    
    <svg v-if="name==='transit'" xmlns="http://www.w3.org/2000/svg" width="400" height="300">
      <!-- Station A -->
      <circle cx="50" cy="150" r="5" fill="red" />
      <text x="60" y="150" font-size="12" fill="black">Station A</text>

      <!-- Station B -->
      <circle cx="200" cy="150" r="5" fill="red" />
      <text x="210" y="150" font-size="12" fill="black">Station B</text>

      <!-- Station C -->
      <circle cx="350" cy="150" r="5" fill="red" />
      <text x="360" y="150" font-size="12" fill="black">Station C</text>

      <!-- Line AB -->
      <line x1="50" y1="150" x2="200" y2="150" stroke="blue" stroke-width="3" />

      <!-- Line BC -->
      <line x1="200" y1="150" x2="350" y2="150" stroke="blue" stroke-width="3" />
    </svg>    
    <svg v-if="name==='late'" xmlns="http://www.w3.org/2000/svg" width="100" height="100">
      <circle cx="50" cy="50" r="10" fill="red" />

      <!-- White X Symbol -->
      <text x="35" y="65" font-size="10" font-weight="bold" fill="white">X</text>
      <!-- <text x="65" y="35" font-size="40" font-weight="bold" fill="white">X</text> -->
    </svg>
</template>

<script>
export default {
    props:['name']
}
</script>